
TYPO3.Fluid - Bug # 54135

Status: Resolved Priority: Should have
Author: Christopher Hlubek Category:
Created: 2013-12-02 Assigned To: Christopher Hlubek
Updated: 2014-02-19 Due date:
Has patch: No
Affected Flow version: Git master
Subject: Cached templates are not flushed when ViewHelpers are changed
Description

ViewHelper updates can lead to exceptions in cached templates, since changes of the render method signature are not reflected
correctly. The template cache should be flushed whenever ViewHelper classes are changed.

Associated revisions
Revision ced8f408 - 2013-12-02 15:52 - Christopher Hlubek

[BUGFIX] Flush template cache on ViewHelper changes

Changing the signature of the render method in a ViewHelper leads to
stale cached templates that throw exceptions. This change uses the
file monitoring to flush the template cache on a change to a ViewHelper
class.

Change-Id: I4c1c0a70e9de5f7bd2b9876589f4d73283495631
Releases: master, 2.0
Fixes: #54135

Revision d1af4a05 - 2014-02-19 11:09 - Christopher Hlubek

[BUGFIX] Flush template cache on ViewHelper changes

Changing the signature of the render method in a ViewHelper leads to
stale cached templates that throw exceptions. This change uses the
file monitoring to flush the template cache on a change to a ViewHelper
class.

Change-Id: I4c1c0a70e9de5f7bd2b9876589f4d73283495631
Releases: master, 2.0
Fixes: #54135

History
#1 - 2013-12-02 15:39 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.Fluid has been pushed to the review server.
It is available at https://review.typo3.org/25880
#2 - 2013-12-02 15:52 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.Fluid has been pushed to the review server.
It is available at https://review.typo3.org/25880

#3 - 2013-12-02 19:36 - Christopher Hlubek
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:ced8f4086a75bc8fd3937796b1801d093c33d606.

#4 - 2014-01-31 14:30 - Gerrit Code Review
- Status changed from Resolved to Under Review

Patch set 1 for branch 2.0 of project Packages/TYPO3.Fluid has been pushed to the review server.
It is available at https://review.typo3.org/27192

#5 - 2014-02-19 11:09 - Gerrit Code Review

Patch set 2 for branch 2.0 of project Packages/TYPO3.Fluid has been pushed to the review server.
It is available at https://review.typo3.org/27192

#6 - 2014-02-19 11:36 - Christopher Hlubek
- Status changed from Under Review to Resolved

Applied in changeset commit:d1af4a05cfd2ca541e467d449035b2bf32133088.
